Can I run Bitdefender Safebox on Windows 8 and Windows 8.1 systems?

To run properly, Bitdefender Safebox requires .NET Framework 3.5.

By default, Windows 8 and Windows 8.1 come with .NET Framework 4.5 or 4.5.1 installed.

Thus, when running Safebox for the first time on a system that is running Windows 8 or Windows 8.1, if the feature is not initializing (starting) correctly, you will just have to install .NET Framework 3.5.

In order to do that, please follow the steps from this Microsoft article:

http://msdn.microsoft.com/en-us/library/hh506443(v=vs.110).aspx


Rate this article:

Submit